Download it now!
Bug 97936 - INSERT: SVG Rectangles are not rendered
Summary: INSERT: SVG Rectangles are not rendered
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: graphics stack (show other bugs)
Version:
(earliest affected)
5.0.4.2 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:5.2.0
Keywords:
Depends on:
Blocks: SVG-Import
  Show dependency treegraph
 
Reported: 2016-02-17 13:58 UTC by Xisco Faulí
Modified: 2016-10-25 19:08 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Sample (314 bytes, image/svg+xml)
2016-02-17 13:58 UTC, Xisco Faulí
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2016-02-17 13:58:56 UTC
Created attachment 122730 [details]
Sample

This happens when height and width aren't set in the svg element.
Comment 1 Regina Henschel 2016-02-17 14:32:19 UTC
That is the same problem as bug 97538.
Comment 2 Xisco Faulí 2016-02-23 10:21:09 UTC
Fixed by a2d8a9873deb5b39198c346cf637a9a8cb9e5105
Comment 3 Commit Notification 2016-02-25 08:45:10 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=6afec8e461aee826664347adf234a81228a69a45

tdf#97936: SVGIO: Add unittest

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.